JobControllerRunJob2 Method |
POST /Job/Run2/{id}
Runs a job using provided options.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Run2")]
public IActionResult RunJob2(
Guid id,
[FromBodyAttribute] RunJobsOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Run2")>
Public Function RunJob2 (
id As Guid,
<FromBodyAttribute> options As RunJobsOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Run2")]
IActionResult^ RunJob2(
Guid id,
[FromBodyAttribute] RunJobsOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Run2")>]
member RunJob2 :
id : Guid *
[<FromBodyAttribute>] options : RunJobsOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
ID of the job to run. - options
- Type: Dundas.BI.WebApi.ModelsRunJobsOptions
An object that carries all needed information about the jobs that need to be run. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the current session.
Return Value
Type:
IActionResultThe
Int64 ID of the job run, or a status code indicating the problem.
See Also